# @rxap/tree v19.0.4-dev.0

## Classes

- [DefaultTreeApplyFilterMethod](../wiki/Class.DefaultTreeApplyFilterMethod)
- [SearchForm](../wiki/Class.SearchForm)
- [TreeComponent](../wiki/Class.TreeComponent)
- [TreeContentDirective](../wiki/Class.TreeContentDirective)
- [TreeDataSource](../wiki/Class.TreeDataSource)

## Interfaces

- [ISearchForm](../wiki/Interface.ISearchForm)
- [TreeApplyFilterParameter](../wiki/Interface.TreeApplyFilterParameter)
- [TreeDataSourceMetadata](../wiki/Interface.TreeDataSourceMetadata)

## Variables

- [RXAP\_TREE\_CONTENT\_EDITABLE\_METHOD](../wiki/Variable.RXAP_TREE_CONTENT_EDITABLE_METHOD)
- [RXAP\_TREE\_DATA\_SOURCE\_APPLY\_FILTER\_METHOD](../wiki/Variable.RXAP_TREE_DATA_SOURCE_APPLY_FILTER_METHOD)
- [RXAP\_TREE\_DATA\_SOURCE\_CHILDREN\_REMOTE\_METHOD](../wiki/Variable.RXAP_TREE_DATA_SOURCE_CHILDREN_REMOTE_METHOD)
- [RXAP\_TREE\_DATA\_SOURCE\_ROOT\_REMOTE\_METHOD](../wiki/Variable.RXAP_TREE_DATA_SOURCE_ROOT_REMOTE_METHOD)
- [SearchFormProviders](../wiki/Variable.SearchFormProviders)

## Functions

- [flatTree](../wiki/Function.flatTree)
- [FormFactory](../wiki/Function.FormFactory)
- [isSelectionChange](../wiki/Function.isSelectionChange)
